Add CCs in batch. This endpoint allows you to add multiple CCs at once for efficient processing.

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/authentisign-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Authentisign API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/authentisign-api/mcp"
  }
}

Close
POST /api/v3/users/{userId}/signings/ccs/batch

Sample request:

POST v3/users/{userId}/signings/ccs/batch [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "signingId": "12345678-1234-1234-1234-123456789012", "firstName": "John", "middleName": "D", "lastName": "Doe", "email": "john.doe@example.com", "displayOrder": 1, "userId": "EXT1234", "transactionId": "9b74f03d-71d4-4911-a0d4-60c720bacea1", "saveToContacts": true }, ... [more CCs] ]

Path parameters

  • userId string(uuid) Required

    The external ID from URL.

Body

A list of CC data transfer objects to be added.

  • id string(uuid)
  • signingId string(uuid)
  • firstName string Required

    Minimum length is 1.

  • middleName string | null
  • lastName string Required

    Minimum length is 1.

  • email string | null
  • displayOrder integer(int32)
  • externalId string | null
  • transactionId string(uuid) | null
  • saveToContacts boolean | null

Body

A list of CC data transfer objects to be added.

  • id string(uuid)
  • signingId string(uuid)
  • firstName string Required

    Minimum length is 1.

  • middleName string | null
  • lastName string Required

    Minimum length is 1.

  • email string | null
  • displayOrder integer(int32)
  • externalId string | null
  • transactionId string(uuid) | null
  • saveToContacts boolean | null

Body

A list of CC data transfer objects to be added.

  • id string(uuid)
  • signingId string(uuid)
  • firstName string Required

    Minimum length is 1.

  • middleName string | null
  • lastName string Required

    Minimum length is 1.

  • email string | null
  • displayOrder integer(int32)
  • externalId string | null
  • transactionId string(uuid) | null
  • saveToContacts boolean | null

Responses

  • 200

    Success

  • Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • Not Found

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
POST /api/v3/users/{userId}/signings/ccs/batch
curl \
 --request POST 'https://api.lwolf.com/authentisign/api/v3/users/{userId}/signings/ccs/batch' \
 --header "Content-Type: application/json" \
 --data '[{"id":"string","signingId":"string","firstName":"string","middleName":"string","lastName":"string","email":"string","displayOrder":42,"externalId":"string","transactionId":"string","saveToContacts":true}]'
curl \
 --request POST 'https://api.lwolf.com/authentisign/api/v3/users/{userId}/signings/ccs/batch' \
 --header "Content-Type: text/json"
curl \
 --request POST 'https://api.lwolf.com/authentisign/api/v3/users/{userId}/signings/ccs/batch' \
 --header "Content-Type: application/*+json"
Request examples
[
  {
    "id": "string",
    "signingId": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "email": "string",
    "displayOrder": 42,
    "externalId": "string",
    "transactionId": "string",
    "saveToContacts": true
  }
]
Request examples
[
  {
    "id": "string",
    "signingId": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "email": "string",
    "displayOrder": 42,
    "externalId": "string",
    "transactionId": "string",
    "saveToContacts": true
  }
]
Request examples
[
  {
    "id": "string",
    "signingId": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "email": "string",
    "displayOrder": 42,
    "externalId": "string",
    "transactionId": "string",
    "saveToContacts": true
  }
]
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}